/***************************************************************************
 $RCSfile$
                             -------------------
    cvs         : $Id: qbpickstartdate.h 837 2006-01-23 16:31:01Z aquamaniac $
    begin       : Mon Mar 01 2004
    copyright   : (C) 2004 by Martin Preuss
                  (C) 2008 by Thomas Baumgart
    email       : martin@libchipcard.de
                  ipwizard@users.sourceforge.net

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/

#ifndef KBPICKSTARTDATE_H
#define KBPICKSTARTDATE_H

#include <kbpickstartdate.ui.h>
#include <qdatetime.h>


class QBanking;

/**
  * Class derived from QBPickStartDate and modified to
  * be based on KDE widgets
  *
  * @author Martin Preuss
  * @author Thomas Baumgart
  */
class KBPickStartDate: public KBPickStartDateUi
{
  Q_OBJECT
private:
  QBanking *_banking;
  const QDate &_firstPossible;
  const QDate &_lastUpdate;
public:
  KBPickStartDate(QBanking *banking,
                  const QDate &firstPossible,
                  const QDate &lastUpdate,
                  const QString& accountName,
                  int defaultChoice,
                  QWidget* parent=0, const char* name=0,
                  bool modal=FALSE, WFlags fl=0);
  ~KBPickStartDate();

  QDate date();

public slots:
  void slotHelpClicked();
};

#endif
